## ClutterPageTurnEffect ClutterPageTurnEffect — A page turning effect |

## Functions

ClutterEffect * | clutter_page_turn_effect_new ()
void | clutter_page_turn_effect_set_period ()
gdouble | clutter_page_turn_effect_get_period ()
void | clutter_page_turn_effect_set_angle ()
gdouble | clutter_page_turn_effect_get_angle ()
void | clutter_page_turn_effect_set_radius ()
gfloat | clutter_page_turn_effect_get_radius ()

## Properties

gdouble | angle | Read / Write
gdouble | period | Read / Write
gfloat | radius | Read / Write

## Types and Values

| ClutterPageTurnEffect

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActorMeta
                ╰── ClutterEffect
                    ╰── ClutterOffscreenEffect
                        ╰── ClutterDeformEffect
                            ╰── ClutterPageTurnEffect

## Description

A simple page turning effect

ClutterPageTurnEffect is available since Clutter 1.4

## Functions

### clutter_page_turn_effect_new ()

    ClutterEffect *
    clutter_page_turn_effect_new (gdouble period,
                                  gdouble angle,
                                  gfloat radius);

Creates a new ClutterPageTurnEffect instance with the given parameters

#### Parameters

period | the period of the page curl, between 0.0 and 1.0 |
angle | the angle of the page curl, between 0.0 and 360.0 |
radius | the radius of the page curl, in pixels |

#### Returns

the newly created ClutterPageTurnEffect

Since: 1.4

### clutter_page_turn_effect_set_period ()

    void
    clutter_page_turn_effect_set_period (ClutterPageTurnEffect *effect,
                                         gdouble period);

Sets the period of the page curling, between 0.0 (no curling) and 1.0 (fully curled)

#### Parameters

effect | a ClutterPageTurnEffect |
period | the period of the page curl, between 0.0 and 1.0 |

Since: 1.4

### clutter_page_turn_effect_get_period ()

    gdouble
    clutter_page_turn_effect_get_period (ClutterPageTurnEffect *effect);

Retrieves the value set using `clutter_page_turn_effect_get_period()`

#### Parameters

effect | a ClutterPageTurnEffect |

#### Returns

the period of the page curling

Since: 1.4

### clutter_page_turn_effect_set_angle ()

    void
    clutter_page_turn_effect_set_angle (ClutterPageTurnEffect *effect,
                                        gdouble angle);

Sets the angle of the page curling, in degrees

#### Parameters

effect | ClutterPageTurnEffect |
angle | the angle of the page curl, in degrees |

Since: 1.4

### clutter_page_turn_effect_get_angle ()

    gdouble
    clutter_page_turn_effect_get_angle (ClutterPageTurnEffect *effect);

Retrieves the value set using `clutter_page_turn_effect_get_angle()`

#### Parameters

effect | a ClutterPageTurnEffect: |

#### Returns

the angle of the page curling

Since: 1.4

### clutter_page_turn_effect_set_radius ()

    void
    clutter_page_turn_effect_set_radius (ClutterPageTurnEffect *effect,
                                         gfloat radius);

Sets the radius of the page curling

#### Parameters

effect | a ClutterPageTurnEffect: |
radius | the radius of the page curling, in pixels |

Since: 1.4

### clutter_page_turn_effect_get_radius ()

    gfloat
    clutter_page_turn_effect_get_radius (ClutterPageTurnEffect *effect);

Retrieves the value set using `clutter_page_turn_effect_set_radius()`

#### Parameters

effect | a ClutterPageTurnEffect |

#### Returns

the radius of the page curling

Since: 1.4

## Types and Values

### ClutterPageTurnEffect

    typedef struct _ClutterPageTurnEffect ClutterPageTurnEffect;

ClutterPageTurnEffect is an opaque structure whose members can only be accessed using the provided API

Since: 1.4

## Property Details

### The `“angle”` property

      “angle”                    gdouble

The angle of the page rotation, in degrees, between 0.0 and 360.0

Flags: Read / Write

Allowed values: [0,360]

Default value: 0

Since: 1.4

### The `“period”` property

      “period”                   gdouble

The period of the page turn, between 0.0 (no curling) and 1.0 (fully curled)

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

Since: 1.4

### The `“radius”` property

      “radius”                   gfloat

The radius of the page curl, in pixels

Flags: Read / Write

Default value: 24

Since: 1.4